## tdesdk-trinity 14.0.10

=== debian/changelog ===
tdesdk-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Apr 2021 11:35:06 +0200
