## tdesdk-trinity 14.0.11

=== debian/changelog ===
tdesdk-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Sep 2021 11:32:22 +0200
