=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_STRIP_ARGS := --dbg-package=tdesdk-trinity-dbg

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DBSEARCHENGINE="ON" \
 -DWITH_KCAL="ON"

PACKAGES_WITH_LIBS := kbabel-trinity kompare-trinity kspy-trinity tdeunittest-trinity libcvsservice0-trinity umbrello-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_INSTALL_CHANGELOGS_cervisia-trinity := cervisia/ChangeLog
DEB_INSTALL_CHANGELOGS_kapptemplate-trinity := kapptemplate/ChangeLog
DEB_INSTALL_CHANGELOGS_kbabel-trinity := kbabel/ChangeLog
DEB_INSTALL_CHANGELOGS_tdecachegrind-trinity := tdecachegrind/ChangeLog
DEB_INSTALL_CHANGELOGS_kompare-trinity := kompare/ChangeLog
DEB_INSTALL_CHANGELOGS_umbrello-trinity := umbrello/ChangeLog

binary-install/tdesdk-scripts-trinity::
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/pl/man1/kdemangen.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/kdemangen.pl.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/pl/man1/png2mng.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/png2mng.pl.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/py/man1/kdelnk2desktop.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/kdelnk2desktop.py.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/py/man1/zonetab2pot.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/zonetab2pot.py.1
	mv -f debian/tdesdk-scripts-trinity/usr/share/man/sh/man1/build-progress.1 \
		debian/tdesdk-scripts-trinity/usr/share/man/man1/build-progress.sh.1
	mv -f debian/tdesdk-scripts-trinity/opt/trinity/bin/svn-clean \
		debian/tdesdk-scripts-trinity/opt/trinity/bin/svn-clean-kde
	mv -f debian/tdesdk-scripts-trinity/opt/trinity/bin/svnversions \
		debian/tdesdk-scripts-trinity/opt/trinity/bin/svnversion-kde
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/pl
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/py
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man/sh
	mv debian/tdesdk-scripts-trinity/usr/share/man/man1/* debian/tdesdk-scripts-trinity/opt/trinity/share/man/man1/
	rm -rf debian/tdesdk-scripts-trinity/usr/share/man
	install -p -D -m644 scripts/kde-buildrc \
		debian/tdesdk-scripts-trinity/opt/trinity/share/doc/tdesdk-scripts-trinity/kde-buildrc.example

binary-install/tdesdk-misc-trinity::
	install -p -D -m644 kdeaccounts-plugin/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.kdeaccounts-plugin
	install -p -D -m644 tdeioslave/svn/AUTHORS \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/AUTHORS.tdeioslave-svn
	install -p -D -m644 tdeioslave/svn/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.tdeioslave-svn
	install -p -D -m644 kprofilemethod/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.kprofilemethod
	install -p -D -m644 scheck/README \
		debian/tdesdk-misc-trinity/opt/trinity/share/doc/tdesdk-misc/README.scheck

binary-install/kapptemplate-trinity::
	rm -f debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/*.cdbs-orig
	for admindirfile in compile config.guess config.sub debianrules depcomp detect-autoconf.pl \
			Doxyfile.global install-sh missing mkinstalldirs nmcheck ylwrap; do \
		chmod 755 debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/$$admindirfile; \
	done
	mv debian/kapptemplate-trinity/usr/share/man debian/kapptemplate-trinity/opt/trinity/share/

binary-install/kbabel-trinity::
	mv debian/kbabel-trinity/usr/share/man debian/kbabel-trinity/opt/trinity/share/

binary-install/kbugbuster-trinity::
	mv debian/kbugbuster-trinity/usr/share/man debian/kbugbuster-trinity/opt/trinity/share/

binary-install/kmtrace-trinity::
	mv debian/kmtrace-trinity/usr/share/man debian/kmtrace-trinity/opt/trinity/share/

binary-install/kompare-trinity::
	mv debian/kompare-trinity/usr/share/man debian/kompare-trinity/opt/trinity/share/

binary-install/kspy-trinity::
	mv debian/kspy-trinity/usr/share/man debian/kspy-trinity/opt/trinity/share/

binary-install/kuiviewer-trinity::
	mv debian/kuiviewer-trinity/usr/share/man debian/kuiviewer-trinity/opt/trinity/share/

binary-install/libcvsservice0-trinity::
	mv debian/libcvsservice0-trinity/usr/share/man debian/libcvsservice0-trinity/opt/trinity/share/

binary-install/poxml-trinity::
	mv debian/poxml-trinity/usr/share/man debian/poxml-trinity/opt/trinity/share/

binary-install/tdecachegrind-converters-trinity::
	mv debian/tdecachegrind-converters-trinity/usr/share/man debian/tdecachegrind-converters-trinity/opt/trinity/share/

binary-install/tdecachegrind-trinity::
	mv debian/tdecachegrind-trinity/usr/share/man debian/tdecachegrind-trinity/opt/trinity/share/

binary-install/umbrello-trinity::
	mv debian/umbrello-trinity/usr/share/man debian/umbrello-trinity/opt/trinity/share/
