## tdesdk-trinity 14.0.13

=== debian/changelog ===
tdesdk-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 13 Oct 2022 08:54:32 +0200
