## tdesdk-trinity 14.1.0

=== debian/changelog ===
tdesdk-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 16 Jan 2023 05:14:39 +0100
