=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_STRIP_ARGS := --dbg-package=tdesdk-trinity-dbg

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DBSEARCHENGINE="ON" \
 -DWITH_KCAL="ON"

PACKAGES_WITH_LIBS := kbabel-trinity kompare-trinity kspy-trinity tdeunittest-trinity libcvsservice0-trinity umbrello-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_INSTALL_CHANGELOGS_cervisia-trinity := cervisia/ChangeLog
DEB_INSTALL_CHANGELOGS_kapptemplate-trinity := kapptemplate/ChangeLog
DEB_INSTALL_CHANGELOGS_kbabel-trinity := kbabel/ChangeLog
DEB_INSTALL_CHANGELOGS_tdecachegrind-trinity := tdecachegrind/ChangeLog
DEB_INSTALL_CHANGELOGS_kompare-trinity := kompare/ChangeLog
DEB_INSTALL_CHANGELOGS_umbrello-trinity := umbrello/ChangeLog

binary-install/tdesdk-scripts-trinity::
	mv -f debian/$(cdbs_curpkg)/opt/trinity/bin/svn-clean \
		debian/$(cdbs_curpkg)/opt/trinity/bin/svn-clean-kde
	mv -f debian/$(cdbs_curpkg)/opt/trinity/bin/svnversions \
		debian/$(cdbs_curpkg)/opt/trinity/bin/svnversion-kde
	install -p -D -m644 scripts/kde-buildrc \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-scripts-trinity/kde-buildrc.example
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/bin

binary-install/tdesdk-misc-trinity::
	install -p -D -m644 kdeaccounts-plugin/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.kdeaccounts-plugin
	install -p -D -m644 tdeioslave/svn/AUTHORS \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/AUTHORS.tdeioslave-svn
	install -p -D -m644 tdeioslave/svn/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.tdeioslave-svn
	install -p -D -m644 kprofilemethod/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.kprofilemethod
	install -p -D -m644 scheck/README \
		debian/$(cdbs_curpkg)/opt/trinity/share/doc/tdesdk-misc/README.scheck

binary-install/kapptemplate-trinity::
	rm -f debian/$(cdbs_curpkg)/opt/trinity/share/apps/kapptemplate/admin/*.cdbs-orig
	for admindirfile in compile config.guess config.sub debianrules depcomp detect-autoconf.pl \
			Doxyfile.global install-sh missing mkinstalldirs nmcheck ylwrap; do \
		chmod 755 debian/$(cdbs_curpkg)/opt/trinity/share/apps/kapptemplate/admin/$$admindirfile; \
	done

binary-install/tdecachegrind-converters-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/bin

binary-install/umbrello-trinity::
	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/umbrello/headings
