## tdesdk-trinity 14.1.5~pre1

=== debian/changelog ===
tdesdk-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 2864cea0a87dbd3f6e7c9ab494cf3fe00b98d0f3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
