## tdesdk-trinity 14.1.5

=== doc/CMakeLists.txt ===
add_subdirectory( man )

tde_conditional_add_subdirectory( BUILD_CERVISIA cervisia )
#tde_conditional_add_subdirectory( BUILD_KAPPTEMPLATE kapptemplate )
tde_conditional_add_subdirectory( BUILD_KBABEL kbabel )
tde_conditional_add_subdirectory( BUILD_KBUGBUSTER kbugbuster )
tde_conditional_add_subdirectory( BUILD_KOMPARE kompare )
tde_conditional_add_subdirectory( BUILD_KUIVIEWER kuiviewer )
tde_conditional_add_subdirectory( BUILD_SCRIPTS scripts )
tde_conditional_add_subdirectory( BUILD_TDECACHEGRIND tdecachegrind )
# tdesvn-build is under the script folder
tde_conditional_add_subdirectory( BUILD_SCRIPTS tdesvn-build )
tde_conditional_add_subdirectory( BUILD_UMBRELLO umbrello )
