=== kapptemplate/admin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/../../admin/
  DESTINATION ${DATA_INSTALL_DIR}/kapptemplate/admin
  USE_SOURCE_PERMISSIONS
  REGEX "Makefile(|\\.in|\\.am)$|.*-orig$|(^|/)\\.git(|modules)$" EXCLUDE
)
