=== kompare/komparenavtreepart/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../libdiff2
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE komparenavtreepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kompare-desktops
)


##### libkomparenavtreepart (module) ############

tde_add_kpart( libkomparenavtreepart AUTOMOC
  SOURCES komparenavtreepart.cpp
  LINK diff2-static tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
