=== tdecachegrind/tdecachegrind/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE tdecachegrind.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  PO_DIR tdecachegrind-desktops
)

install( FILES tdecachegrindui.rc tips DESTINATION ${DATA_INSTALL_DIR}/tdecachegrind )

tde_create_translated_desktop(
  SOURCE x-tdecachegrind.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
  PO_DIR tdecachegrind-desktops
)


##### tdecachegrind (executable) ##################

tde_add_executable( tdecachegrind AUTOMOC
  SOURCES
    functionselectionbase.ui stackselectionbase.ui partselectionbase.ui
    configdlgbase.ui loader.cpp cachegrindloader.cpp treemap.cpp pool.cpp
    main.cpp configuration.cpp functionselection.cpp coverage.cpp
    partgraph.cpp toplevel.cpp stackselection.cpp stackbrowser.cpp
    subcost.cpp tracedata.cpp partselection.cpp configdlg.cpp
    utils.cpp fixcost.cpp traceitemview.cpp instrview.cpp tabview.cpp
    sourceview.cpp callmapview.cpp callview.cpp coverageview.cpp
    costtypeview.cpp partview.cpp listutils.cpp costtypeitem.cpp
    multiview.cpp callitem.cpp coverageitem.cpp sourceitem.cpp
    costlistitem.cpp partlistitem.cpp functionitem.cpp instritem.cpp
    stackitem.cpp callgraphview.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
