=== kbabel/filters/linguist/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/../../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabel_linguist_export.desktop kbabel_linguist_import.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)


##### kbabel_linguistexport (module) ############

tde_add_kpart( kbabel_linguistexport
  SOURCES linguistexport.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kbabel_linguistimport (module) ############

tde_add_kpart( kbabel_linguistimport
  SOURCES linguistimport.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
