=== debian/changelog ===
tdesdk-trinity (4:14.1.5-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
