## tdesdk-trinity 14.1.6~pre2

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for df07e4fad09508605de6171a3fdd945f1461ab7c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:17:43 +0100
