## tdesdk-trinity 14.1.6~pre5

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 1e39f0e5b854e67d242cfdb80205263de21c30be
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 09:35:29 +0100
