## tdesdk-trinity 14.1.6~pre6

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre6-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for 035fb4633eafb290af1e55e0b77ef6f6227d399e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:18:13 +0100
