## tdesdk-trinity 14.1.6~pre7

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre7-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f33a0c33b086158c24ad36c0dd41ccf4c3821db6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:19:39 +0100
