## tdesdk-trinity 14.1.6~pre9

=== debian/changelog ===
tdesdk-trinity (4:14.1.6~pre9-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 826523e3e8ff5cff6c4a2b1e0b83519e38bf77fe
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 10 Feb 2026 22:32:58 +0100
